import request from '@/utils/request'

// 查询报名点成交登记列表
export function listSign(query) {
  return request({
    url: '/zs/placeSign/list',
    method: 'get',
    params: query
  })
}

// 查询报名点成交登记详细
export function getSign(placeSignId) {
  return request({
    url: '/zs/placeSign/' + placeSignId,
    method: 'get'
  })
}

// 新增报名点成交登记
export function addSign(data) {
  return request({
    url: '/zs/placeSign',
    method: 'post',
    data: data
  })
}

// 修改报名点成交登记
export function updateSign(data) {
  return request({
    url: '/zs/placeSign',
    method: 'put',
    data: data
  })
}

// 删除报名点成交登记
export function delSign(placeSignId) {
  return request({
    url: '/zs/placeSign/' + placeSignId,
    method: 'delete'
  })
}

//审核登记
export function checkSign(data) {
  return request({
    url: '/zs/placeSign/check',
    method: 'put',
    data: data
  })
}
